%define upstream_name Net_SMPP
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.4.5
Release:     	%mkrel 8
Summary:    	SMPP v3.4 protocol implementation
License: 	PHP License v3.0
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/Net_SMPP-%{version}.tgz
URL: 		http://pear.php.net/package/Net_SMPP
BuildRequires: 	php-pear >= 1.4.7
Requires: 	php-pear >= 1.4.0b1
BuildArch: noarch
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}^%{_docdir}

%description
Net_SMPP is an implementation of the SMPP (Short Message Peer-to-Peer) v3.4
protocol. SMPP is an open protocol used in the wireless industry to send
and recieve SMS messages.
Net_SMPP does not provide a SMPP client or server, but they can easily be
built with it.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Net_SMPP.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Net_SMPP.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Net_SMPP
fi

%files
%doc docs/Net_SMPP/*
%{peardir}/*
%{xmldir}/Net_SMPP.xml


%changelog
* Mon Feb 08 2016 umeabot <umeabot> 0.4.5-8.mga6
+ Revision: 950276
- Mageia 6 Mass Rebuild

* Sun Oct 26 2014 tv <tv> 0.4.5-7.mga5
+ Revision: 793425
- excludes deps from doc

* Wed Oct 15 2014 umeabot <umeabot> 0.4.5-6.mga5
+ Revision: 739769
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 0.4.5-5.mga5
+ Revision: 734104
- rebuild for pear deps

* Tue Sep 16 2014 umeabot <umeabot> 0.4.5-4.mga5
+ Revision: 687385
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.4.5-3.mga4
+ Revision: 517011
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.4.5-2.mga3
+ Revision: 377026
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 23 2012 spuhler <spuhler> 0.4.5-1.mga2
+ Revision: 199943
- upgrade to 0.4.5
  pearized spec file

* Sat Jan 29 2011 spuhler <spuhler> 0.4.4-6.mga1
+ Revision: 43951
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Net_SMPP


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.4.4-6mdv2011.0
+ Revision: 613736
- the mass rebuild of 2010.1 packages

* Sun Nov 22 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.4.4-5mdv2010.1
+ Revision: 468718
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.4.4-4mdv2010.0
+ Revision: 441492
- rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.4.4-3mdv2009.1
+ Revision: 322497
- rebuild

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.4.4-2mdv2009.0
+ Revision: 268960
- rebuild early 2009.0 package (before pixel changes)

* Sun Jun 08 2008 Funda Wang <fwang@mandriva.org> 0.4.4-1mdv2009.0
+ Revision: 216774
- import php-pear-Net_SMPP


